Bug 755813 - CVE-2011-0216 libxml2: Off-by-one error leading to heap-based buffer overflow in encoding [fedora-all]
CVE-2011-0216 libxml2: Off-by-one error leading to heap-based buffer overflow...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
17
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2011-0216
  Show dependency treegraph
 
Reported: 2011-11-22 01:00 EST by Huzaifa S. Sidhpurwala
Modified: 2012-09-27 00:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 04:55:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for CVE-2011-1944 (from upstream) (4.85 KB, patch)
2012-01-17 09:08 EST, Paul Howarth
no flags Details | Diff
Fix for CVE-2011-0216 (from upstream) (3.07 KB, patch)
2012-01-17 09:09 EST, Paul Howarth
no flags Details | Diff
XPath hardening patch from RHEL-6 (#732335) (9.31 KB, patch)
2012-01-17 09:10 EST, Paul Howarth
no flags Details | Diff
Fix for CVE-2011-2834 (from RHEL-6) (4.53 KB, patch)
2012-01-17 09:11 EST, Paul Howarth
no flags Details | Diff
Fix for CVE-2011-3905 (from RHEL-6) (3.65 KB, patch)
2012-01-17 09:12 EST, Paul Howarth
no flags Details | Diff
Fix for CVE-2011-3919 (from RHEL-6) (2.34 KB, patch)
2012-01-17 09:12 EST, Paul Howarth
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-11-22 01:00:44 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=724906

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Paul Howarth 2012-01-17 09:06:29 EST
I'm about to attach a series of patches against Rawhide git that pull in
changes from upstream and RHEL 6 to address:

* CVE-2011-0216
* CVE-2011-1944
* CVE-2011-2834
* CVE-2011-3905
* CVE-2011-3919
* XPath hardening fixes from RHEL-6

I could apply these patches as a provenpackager, or I'm willing to become
co-maintainer in Fedora. However, I'd prefer Daniel's feedback first given that
he is both upstream and RHEL maintainer and knows much more than I do.
Comment 2 Paul Howarth 2012-01-17 09:08:03 EST
Created attachment 555790 [details]
Fix for CVE-2011-1944 (from upstream)
Comment 3 Paul Howarth 2012-01-17 09:09:16 EST
Created attachment 555792 [details]
Fix for CVE-2011-0216 (from upstream)
Comment 4 Paul Howarth 2012-01-17 09:10:17 EST
Created attachment 555793 [details]
XPath hardening patch from RHEL-6 (#732335)
Comment 5 Paul Howarth 2012-01-17 09:11:13 EST
Created attachment 555794 [details]
Fix for CVE-2011-2834 (from RHEL-6)
Comment 6 Paul Howarth 2012-01-17 09:12:12 EST
Created attachment 555795 [details]
Fix for CVE-2011-3905 (from RHEL-6)
Comment 7 Paul Howarth 2012-01-17 09:12:55 EST
Created attachment 555796 [details]
Fix for CVE-2011-3919 (from RHEL-6)
Comment 8 Daniel Veillard 2012-02-06 01:27:37 EST
Paul,

I'm trying to make a new libxml2 upstream release, it was delayed for various
reasons, including a heavy backlog and some vacations. Once done and pushed
it would fix all those in one go (and more including some schemas validation
fixes which affects a couple of other projects),

  sorry for being late !

Daniel
Comment 9 Fedora End Of Life 2012-08-07 16:18:37 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Daniel Veillard 2012-09-10 02:55:50 EDT
libxml2-2.7.8-7.fc16 is build for f16
http://koji.fedoraproject.org/koji/taskinfo?taskID=4470707
and
libxml2-2.7.8-8.fc17 is built for f17
http://koji.fedoraproject.org/koji/taskinfo?taskID=4470603

f18/rawhide will be rebased as soon as 2.9.0 is out in a few days

Daniel
Comment 11 Fedora Update System 2012-09-10 03:13:03 EDT
libxml2-2.7.8-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-7.fc16
Comment 12 Fedora Update System 2012-09-10 03:13:53 EDT
libxml2-2.7.8-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-8.fc17
Comment 13 Fedora Update System 2012-09-10 18:25:07 EDT
Package libxml2-2.7.8-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxml2-2.7.8-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13746/libxml2-2.7.8-8.fc17
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-09-11 10:58:05 EDT
libxml2-2.7.8-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-9.fc17
Comment 15 Fedora Update System 2012-09-11 11:05:59 EDT
libxml2-2.7.8-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-8.fc16
Comment 16 Fedora Update System 2012-09-26 04:55:47 EDT
libxml2-2.7.8-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-09-27 00:34:56 EDT
libxml2-2.7.8-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.